curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/gradingPeriods/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"gradingPeriod": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": 123,
"org": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}Get a specific Grading Period on the service provider. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Grading period not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/gradingPeriods/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"gradingPeriod": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": 123,
"org": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the grading period to retrieve
Comma-separated list of fields to include in the response
"sourcedId,name"
Success
Represents an academic session.
Show child attributes